<p-messages [value]="msgs"></p-messages>
<br/><br/>
<p-table
    [value]="escuelas"
    [paginator]="true"
    [rows]="numRegPorPagina"
    [lazy]="true"
    [totalRecords]="totalRegistros"
    (onLazyLoad)="cargaDatosPaginados($event)"
    [autoLayout]="true"
    editMode="row"
>
    <ng-template pTemplate="caption">
        Lista de Escuelas
    </ng-template>
    <ng-template pTemplate="header">
        <tr>
            <th>Descripción</th>
            <th>Operaciones</th>
        </tr>
    </ng-template>
    <ng-template pTemplate="body" let-escuela let-editing="editing" let-ri="rowIndex">
        <tr [pEditableRow]="escuela">
            <td [ngStyle]="{ width: '90%' }">
                <p-cellEditor>
                    <ng-template pTemplate="input">
                        <input
                            pInputText
                            type="text"
                            [(ngModel)]="escuela.descripcion"
                            [ngStyle]="{ width: '100%' }"
                            required
                        />
                    </ng-template>
                    <ng-template pTemplate="output">
                        {{ escuela.descripcion }}
                    </ng-template>
                </p-cellEditor>
            </td>
            <td [ngStyle]="{ width: '10%', 'text-align': 'center' }">
                <!-- En cada fila se ponen dos botones pequeños para editar o borrar-->
                <button
                    *ngIf="!editing"
                    pButton
                    type="button"
                    pInitEditableRow
                    icon="pi pi-pencil"
                    class="ui-button-rounded ui-button-secondary"
                    (click)="onRowEditInit(escuela)"
                    style="font-size: 0.75rem; margin-right: 1px"
                ></button>
                &nbsp;
                <button
                    *ngIf="!editing"
                    pButton
                    type="button"
                    icon="pi pi-times"
                    (click)="delete(escuela)"
                    class="ui-button-rounded ui-button-secondary boton_borrar"
                    style="font-size: 0.75rem"
                ></button>
                <button
                    *ngIf="editing"
                    pButton
                    type="button"
                    pSaveEditableRow
                    icon="pi pi-check"
                    class="ui-button-success"
                    style="margin-right: .5em"
                    (click)="onRowEditSave(escuela)"
                ></button>
                <button
                    *ngIf="editing"
                    pButton
                    type="button"
                    pCancelEditableRow
                    icon="pi pi-times"
                    class="ui-button-danger"
                    (click)="onRowEditCancel(escuela, ri)"
                ></button>
            </td>
        </tr>
    </ng-template>
</p-table>
<div class="row">
    <div class="col-md-6">
        <div class="my-2 text-left">
            <p-button label="Crear Escuela" icon="pi pi-plus" (click)="addEscuela()"></p-button>
        </div>
    </div>
    <div class="col-md-6">
        <div class="my-2 text-right">
            <p-button label="Informe escuelas" icon="pi pi-list" (click)="showRepEscuelas()"></p-button>
        </div>
    </div>
</div>
<app-alta-escuela [display]="altaVisible" (altaRealizada)="confirmaAlta($event)"></app-alta-escuela>
<p-confirmDialog></p-confirmDialog>
